## viper-browser 0.9.1%2Bgit20210702

=== tests/CMakeLists.txt ===
add_subdirectory(core)
