=== tests/core/CMakeLists.txt ===
add_subdirectory(adblock)
add_subdirectory(bookmarks)
add_subdirectory(database)
add_subdirectory(history)
add_subdirectory(icons)
add_subdirectory(url_suggestion)
add_subdirectory(utility)
