## viper-browser 0.9.1

=== debian/changelog ===
viper-browser (0.9.1-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Fri, 23 Jul 2021 14:23:17 +0200
