=== debian/control ===
Source: viper-browser
Section: web
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: cmake (>= 3.1.0),
               debhelper (>= 10),
               qtbase5-dev (>= 5.9.0),
               qtwebengine5-dev,
               libkf5wallet-dev,
               libsqlite3-dev
Standards-Version: 3.9.6
Homepage: https://github.com/LeFroid/Viper-Browser

Package: viper-browser
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Viper Browser
  A powerful yet lightweight web browser built with the Qt framework
