=== src/CMakeLists.txt ===
add_subdirectory(app)
add_subdirectory(core)
add_subdirectory(ui)
add_subdirectory(plugins)
