=== debian/changelog ===
viper-browser (0.9.1+git20210702-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub main for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 27 Jul 2021 17:44:50 -0400
